package cn.skcks.docking.gb28181.wvp.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.time.Duration;
import java.util.ArrayList;
import java.util.List;

@Configuration
@ConfigurationProperties(prefix = "proxy.wvp")
@Data
public class WvpProxyConfig {
    private Boolean enable = true;
    private String url;
    private String user;
    private String passwd;
    /**
     * 是否尝试通过 wvp-assist 服务下载
     */
    private Boolean useWvpAssist = true;

    /**
     * 是否使用 ffmpeg 编/解码, 否则使用内置 javacv
     */
    private Boolean useFfmpeg = false;

    /**
     * 需要通过 wvp 代理的 (wvp的上级) 上级平台
     */
    private List<String> parents = new ArrayList<>();

    /**
     * 用于生成 代理 wvp 的 视频流 ws-flv 地址
     */
    private String proxyMediaUrl = "";

    /**
     * 实时视频单次点播持续时间 (默认: 15分钟)
     */
    private Duration realtimeVideoDuration = Duration.ofMinutes(15);
}
